View Issue Details

IDProjectCategoryView StatusLast Update
0000187file[All Projects] Generalpublic2020-09-06 15:17
ReporterjovelerAssigned Tochristos 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version5.39 
Target VersionFixed in Version5.40 
Summary0000187: Support ALZ, EGG archive format
DescriptionPlease include the ALZ/EGG archive format signature.

ALZ and EGG archive format was created by ESTSoft, Inc. ESTSoft's ALZip* software was a de-facto archive tool in Korea, making ALZ/EGG format somewhat prevalent on the Korean web.
*: https://en.wikipedia.org/wiki/ALZip

I have attached the diff file which contains a signature of ALZ and EGG archive format, and sample files for test.

TagsNo tags attached.

Activities

joveler

2020-08-24 02:36

reporter  

Samples.zip (2,049 bytes)
Samples.egg (1,417 bytes)
Samples.alz (999 bytes)
0001-Add-ALZ-EGG-archive-signature.patch (898 bytes)
From 259cae746be2e97e04f214d6ccf58fee94f12042 Mon Sep 17 00:00:00 2001
From: Hajin Jang <hajin_jang@worksmobile.com>
Date: Mon, 24 Aug 2020 11:26:56 +0900
Subject: [PATCH] Add ALZ, EGG archive signature

---
 magic/Magdir/archive | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/magic/Magdir/archive b/magic/Magdir/archive
index 56e903d4..ab0d9b5c 100644
--- a/magic/Magdir/archive
+++ b/magic/Magdir/archive
@@ -1728,3 +1728,12 @@
 # path[CXBTFFile[MaximumPathLength=256]
 >>9	string	x		\b, 1st %s
 
+# ALZIP archive
+# by Hyungjun Park <hyungjun.park@worksmobile.com>, Hajin Jang <hajin_jang@worksmobile.com>
+# http://kippler.com/win/unalz/
+# https://salsa.debian.org/l10n-korean-team/unalz
+0   string      ALZ    ALZ archive data
+!:ext   alz
+# https://cf-aldn.altools.co.kr/setup/EGG_Specification.zip
+0   string      EGGA   EGG archive data
+!:ext   egg
-- 
2.28.0.windows.1

neal

2020-08-28 15:12

reporter   ~0003469

I took a brief look at the patch and the signature is surprisingly small (3 bytes for alz files and 4 bytes for egg files). Is there no other relatively fixed data available? Perhaps a field with a version number?

joveler

2020-08-31 02:43

reporter   ~0003470

@neal
I have updated the EGG format signature by adding a version and split/solid archive detection.

The ALZ format, however, does not have any official file format document. As such, it is only possible by the reading the source of unalz (thrid party decompressor), which would take some time. In the meantime, I have changed its magic to `ALZ\001` from `ALZ` to avoid misidentification of text files.

0001-Add-ALZ-EGG-archive-signature-2.patch (1,221 bytes)
From 0637890eba90de7232d49ad3ecd09648066a42b0 Mon Sep 17 00:00:00 2001
From: Hajin Jang <hajin_jang@worksmobile.com>
Date: Mon, 24 Aug 2020 11:26:56 +0900
Subject: [PATCH] Add ALZ, EGG archive signature

Update ALZ/EGG magic signature
---
 magic/Magdir/archive | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/magic/Magdir/archive b/magic/Magdir/archive
index 56e903d4..630b087d 100644
--- a/magic/Magdir/archive
+++ b/magic/Magdir/archive
@@ -1728,3 +1728,19 @@
 # path[CXBTFFile[MaximumPathLength=256]
 >>9	string	x		\b, 1st %s
 
+# ALZIP archive
+# by Hyungjun Park <hyungjun.park@worksmobile.com>, Hajin Jang <hajin_jang@worksmobile.com>
+# http://kippler.com/win/unalz/
+# https://salsa.debian.org/l10n-korean-team/unalz
+0   string      ALZ\001     ALZ archive data
+!:ext   alz
+
+# https://cf-aldn.altools.co.kr/setup/EGG_Specification.zip
+0       string      EGGA    EGG archive data,
+!:ext   egg
+>5	    byte	    x       version %u
+>4	    byte	    x       \b.%u
+>>0x0E   ulelong     =0x08E28222 
+>>0x0E   ulelong     =0x24F5A262   \b, split
+>>0x0E   ulelong     =0x24E5A060   \b, solid
+>>0x0E   default     x             \b, unknown
\ No newline at end of file
-- 
2.28.0.windows.1

christos

2020-09-06 15:17

manager   ~0003483

Added, thanks!

Issue History

Date Modified Username Field Change
2020-08-24 02:36 joveler New Issue
2020-08-24 02:36 joveler File Added: 0001-Add-ALZ-EGG-archive-signature.patch
2020-08-24 02:36 joveler File Added: Samples.alz
2020-08-24 02:36 joveler File Added: Samples.egg
2020-08-24 02:36 joveler File Added: Samples.zip
2020-08-28 15:12 neal Note Added: 0003469
2020-08-31 02:43 joveler File Added: 0001-Add-ALZ-EGG-archive-signature-2.patch
2020-08-31 02:43 joveler Note Added: 0003470
2020-09-06 15:17 christos Assigned To => christos
2020-09-06 15:17 christos Status new => assigned
2020-09-06 15:17 christos Status assigned => resolved
2020-09-06 15:17 christos Resolution open => fixed
2020-09-06 15:17 christos Fixed in Version => 5.40
2020-09-06 15:17 christos Note Added: 0003483